Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class InstrumentedEvent

`java.lang.Object
oracle.jbo.common.InstrumentedEvent`

public class InstrumentedEvent
extends java.lang.Object

This class provides the Business Components entry point for InstrumentedEvents It is a wrapper and convenience class, so that the code needn't be concerned with allocating Ids and event groupings.

Since:
  BC4J 5.0

Field Summary
`static boolean` | `isActive`

Method Summary
`static void` | `addComment(int handle, java.lang.String commentText)`
`static void` | `endEvent(int handle)`
`static void` | `endEvent(int handle, java.lang.String postMessage)`
`static boolean` | `isEnabled(EventGroup eventType)`
`static int` | `startEvent(EventGroup eventType)`
`static int` | `startEvent(EventGroup eventType, java.lang.String preMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isActive

    public static boolean isActive

Method Detail

### isEnabled

    public static boolean isEnabled(EventGroup eventType)

### startEvent

    public static int startEvent(EventGroup eventType)

### startEvent

    public static int startEvent(EventGroup eventType,
                                 java.lang.String preMessage)

### endEvent

    public static void endEvent(int handle)

### endEvent

    public static void endEvent(int handle,
                                java.lang.String postMessage)

### addComment

    public static void addComment(int handle,
                                  java.lang.String commentText)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.